unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.Menus, System.Actions, Vcl.ActnList, View3D;

type
  TFMain = class(TForm)
    MainMenu: TMainMenu;
    File1: TMenuItem;
    View1: TMenuItem;
    Options1: TMenuItem;
    Help1: TMenuItem;
    Open1: TMenuItem;
    Saveas1: TMenuItem;
    Exit1: TMenuItem;
    Camerasettings1: TMenuItem;
    XZcut1: TMenuItem;
    YZcut1: TMenuItem;
    rawimage1: TMenuItem;
    Camerasettings2: TMenuItem;
    N3Dsettings1: TMenuItem;
    About1: TMenuItem;
    ActionList: TActionList;
    ACOpen: TAction;
    ACSaveAs: TAction;
    ACExit: TAction;
    ACViewCameraSettings: TAction;
    ACView3D: TAction;
    ACViewXZCut: TAction;
    ACViewYZCut: TAction;
    ACGrab: TAction;
    Grab1: TMenuItem;
    ACViewRawImage: TAction;
    AC3DSettings: TAction;
    procedure ACGrabExecute(Sender: TObject);
  private
    { Private-Deklarationen }
    function CreateChildForm(FormClass: TFormClass): TForm;
  public
    { Public-Deklarationen }
  end;

var
  FMain: TFMain;

implementation

{$R *.dfm}

procedure TFMain.ACGrabExecute(Sender: TObject);
var AForm: TForm;
begin
AForm:=CreateChildForm(TFView3D);

(AForm as TFView3D).SetSurfaceSize(256, 256);

end;

function TFMain.CreateChildForm(FormClass: TFormClass): TForm;
begin
result:=FormClass.Create(Application);
end;




end.
